#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;


int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int n = inf.readInt(2, 1e5, "n");
    inf.readEoln();
    unordered_set<int> nums;
    for (int j = 0; j < n; j++) {
        if (j != 0) inf.readSpace();
        int xi = inf.readInt(1, n, "xi");
        ensuref(nums.count(xi) == 0, "Sequence must contain distinct numbers.");
        nums.insert(xi);    
    }
    inf.readEoln();
    inf.readEof();
    return 0;
}